Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class JobStartedEvent

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
          org.apache.hadoop.mapreduce.server.tasktracker.userlogs.JobStartedEvent

    public class JobStartedEvent

extends UserLogEvent

This is an `UserLogEvent` sent when the job starts.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`UserLogEvent.EventType`

Constructor Summary
`JobStartedEvent(JobID jobid)` Create the event to inform the job has started.

Method Summary
`JobID` | `getJobID()` Get the job id.

Methods inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`getEventType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobStartedEvent

    public JobStartedEvent(JobID jobid)

  Create the event to inform the job has started.

  Parameters:
    `jobid` - The `JobID` which started

Method Detail

### getJobID

    public JobID getJobID()

  Get the job id.

  Returns:
    object of `JobID`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation